Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.client.tools
Class CommandLine

    java.lang.Object
      com.dbxml.db.client.tools.CommandLine

public final class CommandLine
extends java.lang.Object

CommandLine

Field Summary
`static java.lang.String` | `COLLECTION`
`static java.lang.String` | `CONFIRM`
`static java.lang.String` | `DURATIONS`
`static java.lang.String` | `INTERACTIVE`
`static java.lang.String` | `TOTALS`
`static java.lang.String` | `VERBOSE`

Constructor Summary
`CommandLine()`

Method Summary
`void` | `fetchNextToken()`
`dbXMLClient` | `getClient()`
`java.io.PrintWriter` | `getErrorWriter()`
`java.lang.String` | `getNextToken()`
`java.lang.String` | `getNextToken(java.lang.String tokenName)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.io.BufferedReader` | `getReader()`
`int` | `getTokenType(java.lang.String token)`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `hasMoreTokens()`
`boolean` | `isPropertyTrue(java.lang.String name)`
`java.lang.String[]` | `listProperties()`
`static void` | `main(java.lang.String[] args)`
`java.util.Properties` | `parseProperties()` parseProperties parses a list of name/value pairs.
`void` | `process()`
`java.lang.String` | `readLine(java.lang.String prefix)`
`void` | `setClient(dbXMLClient client)`
`void` | `setErrorWriter(java.io.Writer err)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setReader(java.io.Reader in)`
`void` | `setWriter(java.io.Writer out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLLECTION

    public static final java.lang.String COLLECTION

See Also:
  Constant Field Values

### VERBOSE

    public static final java.lang.String VERBOSE

See Also:
  Constant Field Values

### INTERACTIVE

    public static final java.lang.String INTERACTIVE

See Also:
  Constant Field Values

### TOTALS

    public static final java.lang.String TOTALS

See Also:
  Constant Field Values

### DURATIONS

    public static final java.lang.String DURATIONS

See Also:
  Constant Field Values

### CONFIRM

    public static final java.lang.String CONFIRM

See Also:
  Constant Field Values

Constructor Detail

### CommandLine

    public CommandLine()

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws dbXMLException

  Throws:
    `dbXMLException`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### listProperties

    public java.lang.String[] listProperties()

### getReader

    public java.io.BufferedReader getReader()

### getWriter

    public java.io.PrintWriter getWriter()

### getErrorWriter

    public java.io.PrintWriter getErrorWriter()

### setClient

    public void setClient(dbXMLClient client)

### getClient

    public dbXMLClient getClient()
                          throws dbXMLException

  Throws:
    `dbXMLException`

### isPropertyTrue

    public boolean isPropertyTrue(java.lang.String name)

### readLine

    public java.lang.String readLine(java.lang.String prefix)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### setReader

    public void setReader(java.io.Reader in)

### setWriter

    public void setWriter(java.io.Writer out)

### setErrorWriter

    public void setErrorWriter(java.io.Writer err)

### process

    public void process()

### main

    public static void main(java.lang.String[] args)

### parseProperties

    public java.util.Properties parseProperties()
                                         throws dbXMLException

  parseProperties parses a list of name/value pairs.

  Throws:
    `dbXMLException`

### getTokenType

    public int getTokenType(java.lang.String token)

### hasMoreTokens

    public boolean hasMoreTokens()

### fetchNextToken

    public void fetchNextToken()
                        throws dbXMLException

  Throws:
    `dbXMLException`

### getNextToken

    public java.lang.String getNextToken(java.lang.String tokenName)
                                  throws dbXMLException

  Throws:
    `dbXMLException`

### getNextToken

    public java.lang.String getNextToken()
                                  throws dbXMLException

  Throws:
    `dbXMLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group